We are looking to branch this week or next and launch 4 weeks after branch

On Sep 9, 2013 10:01 AM, "gmartin" <gmartin@gmartin.org> wrote:
We are being asked by Microsoft to move Tiki in the Web App Gallery to 5.4.  The text of the message is below.  Recall we currently have 9.x in the Gallery.  So a safe response to them be that 5.4 will be supported with Tiki 12?  What timeframe do we project for that release?


From MS:

Hello Greg

Firstly , Thank you for being part of the Windows Web  App Gallery.  This email is to inform you that we  are actively working on enabling  support for PHP 5.5 in the Gallery  but until then  we strongly recommend that the default PHP version for the application in the Gallery be PHP 5.4 instead of PHP 5.3 .  To move to PHP 5.4, we advise you to :

1)      Install and test your app with PHP 5.4 and ensure all the functionality works

a.       If no code changes are required, just notify us with your signoff and we will update your App Gallery entry for you .There is no need to re-submit.

2)      If your app is not currently supported with PHP 5.4, please let us know the target date for receiving a new package.

Let me know if you have an questions on concerns.

Thanks,

App Gallery team




\\Greg


On Sat, Sep 7, 2013 at 2:03 PM, Marc Laporte <marc@marclaporte.com> wrote:
Ok, let's follow the advice of the PHP 5.3 release manager (Johannes Schlüter)

"So when migrating where should you go to? PHP 5.4 or 5.5? - There the
answer is, in my personal, quite easy: Go to 5.5! 5.5 will live longer
than 5.4 so it is the more future save path, as we try hard to keep
backwards compatibility migration should be fairly simple, etc. PHP
5.5 also mostly uses the same code as 5.4 with a few extra features.
So for everything PHP 5.4 does PHP 5.5 does it as stable."
http://schlueters.de/blog/archives/173-PHP-5.5-is-out,-whats-up-with-5.4-and-5.3.html

Best regards,

M ;-)

On Thu, Sep 5, 2013 at 1:24 PM, Frank Guthausen
<fg-tiki2012@datenschutzraum.org> wrote:
> Hello.
>
> On Thu, Sep 05, 2013 at 11:13:31AM -0400, Marc Laporte wrote:
>>
>> As to when people really upgrade, it depends a lot on distros.
>
> AFAICS CentOS 6.4 is using PHP 5.3 right now[1][2], but I don't know
> which version will be used next. Debian Wheezy (stable) uses PHP 5.4
> (see [3]) and next version Debian Jessie (ATM testing) will use 5.5[4].
>
> I refer to those distributions as the 'conservative' ones.
>
> FreeBSD already supports PHP 5.5 in the ports[5].
>
> At least PHP 5.5 is available for CentOS at webtatic repository[6].
>
>> We ideally shouldn't change requirement from 11 to 12LTS, so 12 has to
>> work on 5.3 and later (so hopefully we can find a workaround for the
>> 5.4 issue).
>
> Do we have an overview of Tiki related 5.3->5.4 transition issues?
>
>> Since it's better not to change requirements just before an LTS, our
>> only real choice is 5.4 or 5.5 for Tiki13.
>>
>> We could do:
>> Tiki 13: PHP 5.4
>> Tiki 14: PHP 5.5
>> Tiki 15: PHP 5.5
>>
>> Or we could do
>> Tiki 13: PHP 5.5
>> Tiki 14: PHP 5.5
>> Tiki 15: PHP 5.5
>
> Tiki 13 is for early adopters, which might use a modern OS
> version as well. Thus PHP 5.5 could be fine in spring 2014.
>
> We need to consider and compare the effort of
> a) two transitions 5.3->5.4->5.5
> b) one transition 5.3->5.5
>
> I cannot really tell yet which solution is better.
>
>> Given the issues with 5.4, the nice features of 5.5, and that the
>> LTSers will only start using this with Tiki 15LTS, released in April
>> 2015, I think 5.5 is better for Tiki15LTS and let's get everyone
>> firmly there ASAP.
>>
>> 5.5 is fairly new (released 20-Jun-2013). Can we do it?
>
> In April 2015 PHP 5.5 will be quite spreaded and supporting
> a PHP 5.4 code base for 5 years until 2020 seems odd to me.
> Thus the choice for Tiki 15 LTS is quite clear.
>
>
>  [1] http://rpmfind.net/linux/rpm2html/search.php?query=php-common
>  [2] http://rpmfind.net//linux/RPM/centos/updates/6.4/x86_64/Packages/php-common-5.3.3-23.el6_4.x86_64.html
>  [3] http://packages.debian.org/de/wheezy/php5
>  [4] http://packages.debian.org/de/jessie/php5
>  [5] http://www.freebsd.org/ports/www.html
>  [6] http://www.webtatic.com/packages/php55/
>
>
> --
> regards
> Frank
>
> ------------------------------------------------------------------------------
> Learn the latest--Visual Studio 2012, SharePoint 2013, SQL 2012, more!
> Discover the easy way to master current and previous Microsoft technologies
> and advance your career. Get an incredible 1,500+ hours of step-by-step
> tutorial videos with LearnDevNow. Subscribe today and save!
> http://pubads.g.doubleclick.net/gampad/clk?id=58041391&iu=/4140/ostg.clktrk
> _______________________________________________
> TikiWiki-devel mailing list
> TikiWiki-devel@lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel



------------------------------------------------------------------------------
Learn the latest--Visual Studio 2012, SharePoint 2013, SQL 2012, more!
Discover the easy way to master current and previous Microsoft technologies
and advance your career. Get an incredible 1,500+ hours of step-by-step
tutorial videos with LearnDevNow. Subscribe today and save!
http://pubads.g.doubleclick.net/gampad/clk?id=58041391&iu=/4140/ostg.clktrk
_______________________________________________
TikiWiki-devel mailing list
TikiWiki-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel


------------------------------------------------------------------------------
Learn the latest--Visual Studio 2012, SharePoint 2013, SQL 2012, more!
Discover the easy way to master current and previous Microsoft technologies
and advance your career. Get an incredible 1,500+ hours of step-by-step
tutorial videos with LearnDevNow. Subscribe today and save!
http://pubads.g.doubleclick.net/gampad/clk?id=58041391&iu=/4140/ostg.clktrk
_______________________________________________
TikiWiki-devel mailing list
TikiWiki-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel